@mixin media-breakpoint-up($name, $breakpoints: $media-breakpoints) {
    $min : breakpoint-min($name, $breakpoints);
    @if $min {
        @media (min-width : $min) {
            @content;
        }
    } @else {
        @content;
    }
}

@mixin media-breakpoint-down($name, $breakpoints: $media-breakpoints) {
    $max : breakpoint-max($name, $breakpoints);
    @if $max {
        @media (max-width : $max) {
            @content;
        }
    } @else {
        @content;
    }
}